# Data Retriever

## Data Retriever Overview ##
The Data Retriever Cloud API allows you to generate, download, and access lists of contacts, addresses, businesses, and more.

Data Retriever offers the following capabilities:
- Retrieve a count of results based on provided filters, including City/State, Radius, Zip code, and polygon Shape.
- Purchase a complete result set, navigate through the list of contacts and addresses using pagination.

**Documentation**
- [Data Retriever Documentation](https://docs.melissa.com/reference-data/data-retriever/data-retriever-index.html)

**Useful Resources**
- [GitHub - Data Retriever Open API Specification](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/data-retriever.yaml)
- [Result codes](https://docs.melissa.com/reference-data/data-retriever/data-retriever-reference-guide.html#result-codes)

**Product Page**

[https://www.melissa.com/data-retriever-cloud-api](https://www.melissa.com/data-retriever-cloud-api)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

Data Retriever Server
```
https://dataretriever.melissadata.net/web/V1
```

## Download OpenAPI description

[Data Retriever](https://developer.melissa.com/_bundle/apis/data-retriever.yaml)

## Business

Use Business endpoints to retrieve information on businesses such as record counts, details, and other relevant data.

### Get total record count of businesses

 - [POST /Business/doCount](https://developer.melissa.com/apis/data-retriever/business/docountbusiness.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of businesses

 - [POST /Business/doLookup](https://developer.melissa.com/apis/data-retriever/business/dolookupbusiness.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of businesses

 - [POST /Business/getCount](https://developer.melissa.com/apis/data-retriever/business/getcountbusiness.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

## Consumer

Use Consumer endpoints to retrieve information on consumers such as record counts, details, and other relevant data.

### Get total record count of consumers

 - [POST /Consumer/doCount](https://developer.melissa.com/apis/data-retriever/consumer/docountconsumer.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of consumers

 - [POST /Consumer/doLookup](https://developer.melissa.com/apis/data-retriever/consumer/dolookupconsumer.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of consumers

 - [POST /Consumer/getCount](https://developer.melissa.com/apis/data-retriever/consumer/getcountconsumer.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

## Consumer Two

Use Consumer Two endpoints to retrieve lists of consumers with additional filters.

### Get total record count of consumers

 - [POST /ConsumerTwo/doCount](https://developer.melissa.com/apis/data-retriever/consumer-two/docountconsumertwo.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of consumers

 - [POST /ConsumerTwo/doLookup](https://developer.melissa.com/apis/data-retriever/consumer-two/dolookupconsumertwo.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of consumers

 - [POST /ConsumerTwo/getCount](https://developer.melissa.com/apis/data-retriever/consumer-two/getcountconsumertwo.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

## MAK

Use MAK endpoints to retrieve information on addresses such as record counts, details, and other relevant data.

### Get total record count of addresses

 - [POST /MAK/doCount](https://developer.melissa.com/apis/data-retriever/mak/docountmak.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of addresses

 - [POST /MAK/doLookup](https://developer.melissa.com/apis/data-retriever/mak/dolookupmak.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of addresses

 - [POST /MAK/getCount](https://developer.melissa.com/apis/data-retriever/mak/getcountmak.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

## NewMovers

Use NewMovers endpoints to retrieve information on new movers such as record counts, details, and other relevant data.

### Get total record count of new movers

 - [POST /NewMovers/doCount](https://developer.melissa.com/apis/data-retriever/newmovers/docountnewmovers.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of new movers

 - [POST /NewMovers/doLookup](https://developer.melissa.com/apis/data-retriever/newmovers/dolookupnewmovers.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of new movers

 - [POST /NewMovers/getCount](https://developer.melissa.com/apis/data-retriever/newmovers/getcountnewmovers.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

## NewHomeowners

Use NewHomeowners endpoints to retrieve information on new homeowners such as record counts, details, and other relevant data.

### Get total record count of new homeowners

 - [POST /NewHomeowners/doCount](https://developer.melissa.com/apis/data-retriever/newhomeowners/docountnewhomeowners.md): This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

### Get a paginated result view of new homeowners

 - [POST /NewHomeowners/doLookup](https://developer.melissa.com/apis/data-retriever/newhomeowners/dolookupnewhomeowners.md): This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

### Get record count and sample of new homeowners

 - [POST /NewHomeowners/getCount](https://developer.melissa.com/apis/data-retriever/newhomeowners/getcountnewhomeowners.md): This endpoint allows API users to retrieve a count and 10 record sample of the results to preview before purchasing a file version of the full dataset.

